<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: index.php
| Author: Starefossen
+--------------------------------------------------------+
| This program is released as free software under the
| Stars Heaven Licence. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included licence.html.
| Removal of this copyright header is strictly
| prohibited without written permission
| from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("TICK") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { die("Access Denied"); }

require_once INFUSIONS."newsticker_panel/infusion_db.php";
require_once INFUSIONS."newsticker_panel/inc/functions.php";

if (isset($_POST['nt_settings_save'])) {
	$rss_enable = (isset($_POST['rss_enable']) ? 1 : 0);
	$rss_url = stripinput($_POST['rss_url']);
	$rss_update_interval = (isnum($_POST['rss_update_interval']) ? $_POST['rss_update_interval'] : 3600);
	$nt_items = (isnum($_POST['nt_items']) ? $_POST['nt_items'] : 5);
	$nt_collapsable = (isset($_POST['nt_collapsable']) ? 1 : 0);
	$result = dbquery("UPDATE ".NT_SETTINGS." SET 
		rss_enable='$rss_enable',
		rss_url='$rss_url',
		rss_update_interval='$rss_update_interval',
		nt_items='$nt_items',
		nt_collapsable='$nt_collapsable'
	");
	redirect(FUSION_SELF.$aidlink);
}

opentable("News Ticker Settings");
echo "<form name='inputform' action='".FUSION_SELF.$aidlink."' method='post'>";
echo "<table class='tbl-border' width='100%'>\n<tr>\n";
echo "<td class='tbl1' width='150'><strong><label for='rss_enable'>RSS Enabled:</label></strong></td>\n";
echo "<td class='tbl1'><input type='checkbox' class='textbox' id='rss_enable' name='rss_enable' value='1'".($nt_settings['rss_enable'] == 1 ? " checked='checked'" : "")." /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl1' width='150'><strong>RSS URL:</strong></td>\n";
echo "<td class='tbl1'><input type='text' class='textbox' name='rss_url' value='".$nt_settings['rss_url']."' style='width:250px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl1' width='150'><strong>RSS Update Interval:</strong></td>\n";
echo "<td class='tbl1'><input type='text' class='textbox' name='rss_update_interval' value='".$nt_settings['rss_update_interval']."' style='width:250px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl1' width='150'><strong>Items Shown:</strong></td>\n";
echo "<td class='tbl1'><input type='text' class='textbox' name='nt_items' value='".$nt_settings['nt_items']."' style='width:50px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl1' width='150'><strong><label for='nt_collapsable'>Collapsable:</label></strong></td>\n";
echo "<td class='tbl1'><input type='checkbox' class='textbox' id='nt_collapsable' name='nt_collapsable' value='1'".($nt_settings['nt_collapsable'] == 1 ? " checked='checked'" : "")." /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl1' width='150'></td>\n";
echo "<td class='tbl1'><input type='submit' class='button' name='nt_settings_save' value='Save' /></td>\n";
echo "</tr>\n</table>\n</form>\n";
closetable();

// Version Checker Start
echo "<div>\n<span style='float:right; height:30px;'>";
$v = $nt_version; // Alter $version to whatever variable your version is stored in!
echo "<!-- Version Checker 2.0.0 @ http://version.starefossen.com - Copyright Starefossen 2007-2009 -->";
echo "<script type='text/javascript' src='http://version.starefossen.com/infusions/version_updater/checker/js.php?ps=ticker&amp;v=".$v."'></script>";
echo "<noscript><a href='http://version.starefossen.com/' target='_blank'><strong>JavaScript disabled:</strong> Check version manually!</a></noscript>";
echo "</span>\n</div>\n";
// Version Checker End

require_once THEMES."templates/footer.php";
?>