<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Starefossen
+--------------------------------------------------------+
| This program is released as free software under the
| Stars Heaven Licence. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included licence.html.
| Removal of this copyright header is strictly
| prohibited without written permission
| from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once INFUSIONS."newsticker_panel/infusion_db.php";

// Infusion general information
$inf_title = "News Ticker";
$inf_description = "A News Ticker panel for Site News and RSS feeds!";
$inf_version = "1.5.0";
$inf_developer = "Starefossen";
$inf_email = "starefossen@php-fusion.co.uk";
$inf_weburl = "http://dev.starefossen.com";
$inf_folder = "newsticker_panel";

// Delete any items not required here.
$inf_newtable[1] = NT_SETTINGS." (
rss_enable TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
rss_url VARCHAR(100) NOT NULL,
rss_update_interval INT(10) UNSIGNED NOT NULL DEFAULT '3600',
nt_items TINYINT(2) UNSIGNED NOT NULL DEFAULT '5',
nt_collapsable TINYINT(1) UNSIGNED NOT NULL DEFAULT '0'
) TYPE=MyISAM;";

$inf_newtable[2] = NT_RSS." (
rss_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
rss_source VARCHAR(100) NOT NULL,
rss_link VARCHAR(100) NOT NULL,
rss_title VARCHAR(100) NOT NULL,
rss_description TEXT NOT NULL,
rss_pubdate INT(10) UNSIGNED NOT NULL DEFAULT '0',
rss_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (rss_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = NT_SETTINGS." (rss_enable, rss_url, rss_update_interval, nt_items, nt_collapsable) VALUES('0', 'http://php-fusion.co.uk/rss2.php', '3600', '5', '0')";

$inf_droptable[2] = NT_SETTINGS;
$inf_droptable[1] = NT_RSS;

$inf_adminpanel[1] = array(
	"title" => "News Ticker",
	"image" => "",
	"panel" => "admin/index.php",
	"rights" => "TICK"
);

?>