<?php	
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: newsticker_panel.php
| Author: Starefoseen && PMM
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once INFUSIONS."newsticker_panel/infusion_db.php";
require_once INFUSIONS."newsticker_panel/inc/functions.php";

define("RSS_ENABLED", rss_enabled());

if (RSS_ENABLED && rss_up_to_date() == false) {
	update_rss();
}

add_to_head("
	<script type='text/javascript' src='".INFUSIONS."newsticker_panel/inc/jquery.newsticker.js'></script>
	<script type='text/javascript'>
	$(document).ready(
		function() {
			$('#news').newsTicker();
			$('#news').show('fast');
		}
	);
	</script>
	<style type='text/css'>
	.newsticker {
		display: none;
		list-style-type: none;
		padding: 3px;
		margin: 0;
		font-size: 12px;
	}
	</style>
");

openside("News Ticker", ($nt_settings['nt_collapsable'] == 1 ? true : false), "on");
echo "<ul id='news' class='newsticker'>\n";
if (RSS_ENABLED) {
	$result = dbquery("
		SELECT rss_title as title, rss_link as link ,rss_pubdate as date 
		FROM ".NT_RSS." 
		ORDER BY rss_pubdate DESC 
		LIMIT ".$nt_settings['nt_items']
	);
} else {
	$result = dbquery("
		SELECT news_id as id, news_subject as title, news_datestamp as date
		FROM ".DB_NEWS." 
		WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") AND news_draft='0'
		ORDER BY news_sticky DESC, news_datestamp DESC 
		LIMIT ".$nt_settings['nt_items']
	);
}
if (dbrows($result)) {
	$i = 1;
	while ($data = dbarray($result)) {
		echo "<li style='".($i == 1 ? "" : "display: none; ")."'>";
		echo "<a href='".(isset($data['link']) ? $data['link'] : BASEDIR."news.php?readmore=".$data['id'])."' title='".$data['title']."'>";
		echo "<i>".showdate("%A %e. %B %G", $data['date'])."</i> - ";
		echo trimlink($data['title'], 35);
		echo "</a></li>\n";
	}
} else {
	echo "<li style='display: none; '>Welcome to ".$settings['sitename']."</li>\n";
}
echo "</ul>\n";
closeside();
?>