<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Starefossen
+--------------------------------------------------------+
| This program is released as free software under the
| Stars Heaven Licence. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included licence.html.
| Removal of this copyright header is strictly
| prohibited without written permission
| from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

$nt_settings = dbarray(dbquery("SELECT * FROM ".NT_SETTINGS." LIMIT 1"));
$nt_version  = "1.5.0";

function rss_enabled() {
	global $nt_settings;
	
	if ($nt_settings['rss_enable'] == 1 && !empty($nt_settings['rss_url'])) {
		return true;
	} else {
		return false;
	}
}

function rss_up_to_date() {
	global $nt_settings;

	$result = dbquery("SELECT rss_datestamp FROM ".NT_RSS." ORDER BY rss_datestamp DESC LIMIT 1");
	if (dbrows($result)) {
		$data = dbarray($result);
		if (($data['rss_datestamp']+$nt_settings['rss_update_interval']) > time()) {
			return true;
		} else {
			return false;
		}
	} else {
		return false;
	}
}

function update_rss() {		
	global $nt_settings;
	
	// Load RSS file
	$rss_file = simplexml_load_file($nt_settings['rss_url']);
	if ($rss_file) {
		// Clear Table
		$result = dbquery("TRUNCATE TABLE ".NT_RSS);
		$ii = 1;
		
		foreach ($rss_file->channel->item as $item) {
			$rss_link 			= stripinput(utf8_decode($item->link));
			$rss_title			= utf8_decode(stripinput($item->title));
			$rss_description	= utf8_decode(stripinput($item->description));
			$rss_pubdate		= strtotime(utf8_decode(stripinput("{$item->pubDate}")));
			$rss_datestamp		= time();
			
			// Insert into database						
			$result = dbquery(
				"INSERT INTO ".NT_RSS." (
					rss_link,
					rss_title, 
					rss_description, 
					rss_pubdate, 
					rss_datestamp
				) VALUES(
					'$rss_link',
					'$rss_title',
					'$rss_description',
					'$rss_pubdate',
					'$rss_datestamp'
				)"
			);
			
			// Stop when rss_limit is reached
			if ($ii == ($nt_settings['nt_items'])) {
				break; 
			} else {
				$ii++;
			}
		}
	}
}

?>